Bug 6751 - Fails to compile on QNX because of conflicting types for strupr
Fails to compile on QNX because of conflicting types for strupr
Status: RESOLVED FIXED
Product: Samba 3.4
Classification: Unclassified
Component: Build environment
3.4.1
All Other
: P3 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
http://build.samba.org/?function=View...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-09-21 16:55 UTC by Matt Kraai
Modified: 2009-11-10 03:55 UTC (History)
0 users

See Also:


Attachments
Do not redefine strupr (1.52 KB, patch)
2009-09-21 17:50 UTC, Matt Kraai
gd: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matt Kraai 2009-09-21 16:55:04 UTC
The v3-4-test branch fails to build on QNX with the following error:

Compiling libaddns/dnsgss.c
In file included from libaddns/dnsgss.c:25:
libaddns/dns.h:184:1: warning: "_INT32" redefined
In file included from /usr/qnx641/target/qnx6/usr/include/stdio.h:36,
                 from ../lib/zlib/../replace/replace.h:39,
                 from libaddns/dns.h:28,
                 from libaddns/dnsgss.c:25:
/usr/qnx641/target/qnx6/usr/include/sys/platform.h:240:1: warning: this is the location of the previous definition
libaddns/dnsgss.c:34: error: conflicting types for 'strupr'
/usr/qnx641/target/qnx6/usr/include/string.h:135: error: previous declaration of 'strupr' was here
The following command failed:
ccache gcc -I../lib/zlib -I/usr/local/include -O -I. -I/home/build/build_farm/samba_3_next/source -I/home/build/build_farm/samba_3_next/source/../lib/popt -I/home/build/build_farm/samba_3_next/source/iniparser/src -Iinclude -I/home/build/build_farm/samba_3_next/source/include -I. -I/home/build/build_farm/samba_3_next/source -I/home/build/build_farm/samba_3_next/source/../lib/replace -I/home/build/build_farm/samba_3_next/source/../lib/talloc -I/home/build/build_farm/samba_3_next/source/../lib/tevent -I/home/build/build_farm/samba_3_next/source/../lib/tdb/include -I/home/build/build_farm/samba_3_next/source/libaddns -I/home/build/build_farm/samba_3_next/source/librpc -I/home/build/build_farm/samba_3_next/source/.. -DHAVE_CONFIG_H  -I/usr/local/include -Iinclude -I/home/build/build_farm/samba_3_next/source/include -I. -I/home/build/build_farm/samba_3_next/source -I/home/build/build_farm/samba_3_next/source/../lib/replace -I/home/build/build_farm/samba_3_next/source/../lib/talloc -I/home/build/build_farm/samba_3_next/source/../lib/tevent -I/home/build/build_farm/samba_3_next/source/../lib/tdb/include -I/home/build/build_farm/samba_3_next/source/libaddns -I/home/build/build_farm/samba_3_next/source/librpc -I/home/build/build_farm/samba_3_next/source/.. -I/home/build/build_farm/samba_3_next/source/../lib/popt -I/usr/local/include -DLDAP_DEPRECATED  -I/home/build/build_farm/samba_3_next/source/lib -I.. -I../source4 -D_SAMBA_BUILD_=3 -D_SAMBA_BUILD_=3  -c libaddns/dnsgss.c -o libaddns/dnsgss.o
make: *** [libaddns/dnsgss.o] Error 1
Comment 1 Matt Kraai 2009-09-21 17:50:21 UTC
Created attachment 4727 [details]
Do not redefine strupr

This patch was taken from bug 4960, comment #17.
Comment 2 Björn Jacke 2009-11-07 14:54:14 UTC
looks good, thanks!

Karolin, this should go into 3.4.
Comment 3 Stefan Metzmacher 2009-11-10 03:43:13 UTC
looks good
Comment 4 Guenther Deschner 2009-11-10 03:44:45 UTC
Comment on attachment 4727 [details]
Do not redefine strupr

looks good.
Comment 5 Karolin Seeger 2009-11-10 03:55:05 UTC
Pushed to v3-4-test.
Closing out bug report.

Thanks a lot!